Subject: Re: FVWM: FvwmButtons: Up & Down buttons

From: Remko Troncon <[email-masked]>
Date: Wed, 4 Feb 2004 18:45:00 +0100

Hi,

> > Is it possible to have different icons for the up & down state of
> > FvwmButtons ? 
>
> I don't think so.  The current FvwmButtons version has a way to
> change the image associated with a button, but this has to be
> triggered by fvwm (look in the FvwmButtons man page).

Would it be hard to implement ? I _desperately_ want this feature.

cheers,
Remko
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 4 Feb 2004 18:11:56 +0000

> Would it be hard to implement ? I _desperately_ want this feature.

A year ago someone on this list wanted to implement a +X+Y offset for
buttons in FvwmButtons. This would provide a visual feedback for a
pressed button, in transparent or flat FvwmButtons.

I think this is what you want. But separate images may be ok too.
If someone provides a good patch that adds one or another option, it
may be applied. This is not very hard for someone who knows C.

Regards,
Mikhael.